﻿
@{
    ViewData["Title"] = "Detalle de curso";

}


<div class="panel panel-warning">
    <div class="panel-heading">
        <h2 align="center" ><u>@Model.Curso.Titulo</u> </h2>
    </div>
    <div class="row panel-body">

        <div class="col-xs-6">

            <img src="@Model.Curso.Caratula" width="350" height="300" />

            <p class="copyright">
                Todos los derechos reservados 2021  ® .
            </p>

        </div>
        <div class="col-xs-6 justify-content-center ">
            <p class="right"> @Model.Curso.Descripcion  </p>

            <h4>
                Profesor:
                @foreach (var profesor in Model.Profesores)
                {
                    @profesor.Profesion @profesor.Nombre @profesor.Apellido
                }
            </h4>
            @if (User.Identity.IsAuthenticated && !ViewBag.MICU)
            {
                @if (Model.Curso.Precio == 0)
                {
                    <h4><strong><u>Este curso es gratis </u></strong></h4>
                }
                else
                {
                    <h4><strong><u>Precio:</u> </strong> S/ @Model.Curso.Precio</h4>
                }

                <a href="/Cursos/Matricular?id=@Model.Curso.Id" class="btn btn-primary btn-block btn-custom">INCRIBIRME </a>

            }
            @if (Model.Matriculado == true)
            {
                <div class="alert alert-success">
                    <h4>
                        Estoy matriculado en este curso
                    </h4>
                </div>

                <p><strong>Progreso:</strong></p>
                <div class="progress">
                    @if (ViewBag.progreso == 100)
                    {
                        <div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="@ViewBag.progreso" aria-valuemin="@ViewBag.progreso" aria-valuemax="100" style="width: @ViewBag.progreso%; background-color: blueviolet">
                            @ViewBag.progreso%
                        </div>
                    }
                    else
                    {
                        <div class="progress-bar" role="progressbar" aria-valuenow="@ViewBag.progreso" aria-valuemin="@ViewBag.progreso" aria-valuemax="100" style="width: @ViewBag.progreso%; background-color: blueviolet">
                            @ViewBag.progreso%
                        </div>
                    }

                </div>
                <a class="btn btn-success" href="/Capitulo?idCurso=@Model.Curso.Id">Entrar al Curso</a>
            }


        </div>

        <br />

    </div>

</div>
